import request from '@/utils/request'

// 查询定向井测斜数据计算数据列表
export function listJskd(query) {
  return request({
    url: '/system/jskd/list',
    method: 'get',
    params: query
  })
}

// 查询定向井测斜数据计算数据详细
export function getJskd(jh) {
  return request({
    url: '/system/jskd/' + jh,
    method: 'get'
  })
}

// 新增定向井测斜数据计算数据
export function addJskd(data) {
  return request({
    url: '/system/jskd',
    method: 'post',
    data: data
  })
}

// 修改定向井测斜数据计算数据
export function updateJskd(data) {
  return request({
    url: '/system/jskd',
    method: 'put',
    data: data
  })
}

// 删除定向井测斜数据计算数据
export function delJskd(jh) {
  return request({
    url: '/system/jskd/' + jh,
    method: 'delete'
  })
}
